# mpi4py.MPI.Grequest

class mpi4py.MPI.Grequest

  Bases: `Request`

  Generalized request handler.

  static __new__(cls, request=None)
    Parameters:

      request (Grequest | None)

    Return type:

      Self

  Methods Summary

  `Complete`() | Notify that a user-defined request is complete.
  `Start`([query_fn, free_fn, cancel_fn, args, ...]) | Create and return a user-defined request.
  `complete`([obj]) | Notify that a user-defined request is complete.

  Methods Documentation

  Complete()

    Notify that a user-defined request is complete.

    Return type:

      None

  classmethod Start(query_fn=None, free_fn=None, cancel_fn=None, args=None, kwargs=None)

    Create and return a user-defined request.

    Parameters:

      - query_fn (Callable[[...], None] | None)

      - free_fn (Callable[[...], None] | None)

      - cancel_fn (Callable[[...], None] | None)

      - args (tuple[Any] | None)

      - kwargs (dict[str, Any] | None)

    Return type:

      Grequest

  complete(obj=None)

    Notify that a user-defined request is complete.

    Parameters:

      obj (Any)

    Return type:

      None